Does it really work on MAC OS X 10.4.11? I really need this answer! On the official site is written 10.6 or higher. Thanks!

Blue Microphones Yeti Pro USB Microphone

Back To Product

Follow this Question

1 Answer from the Community

  • No you must have 10.6 or higher.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions